## xplanet 1.2.1

=== debian/changelog ===
xplanet (1.2.1-4.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "Please Build-Depends on libjpeg-dev, not libjpeg62-dev":
    do as the bug report requests (closes: #634650).

 -- gregor herrmann <gregoa@debian.org>  Mon, 07 Nov 2011 17:36:25 +0100

xplanet (1.2.1-4) unstable; urgency=low

  * Add a README.Debian about imagery (Closes: #280351, #588738)
  * Add --with autotools-dev to rules (Closes: #559200)
  * Bump Standards-Version to 3.9.1 (no changes)
  * Migrate to 3.0 (quilt) source format
  * Remove B-D on quilt and README.source
  * Use Breaks+Replaces, not Conflicts+Replaces (§7.4)

 -- Ruben Molina <rmolina@udea.edu.co>  Wed, 15 Dec 2010 10:15:29 -0500

xplanet (1.2.1-3) unstable; urgency=low

  * Now using dh 7 tiny rules
  * Standards bumped to 3.8.3 (added debian/README.source)
  * New patch (tsc-aspect-ratio) from upstream svn revision 160.
  * Tag all the patches using DEP-3 format

 -- Ruben Molina <rmolina@udea.edu.co>  Mon, 30 Nov 2009 16:21:59 -0500

xplanet (1.2.1-2) unstable; urgency=low

  * New patch (possible-buffer-overflow) from upstream svn revision 153.
  * New patch (orbit-step-bug) from upstream svn revision 154.
  * Standards bumped to 3.8.2 (no changes)
  * Update debian/watch to avoid nomap-* versions

 -- Ruben Molina <rmolina@udea.edu.co>  Wed, 01 Jul 2009 21:50:41 -0500

xplanet (1.2.1-1) unstable; urgency=low

  * New upstream release
  * New debian/rules from experiemntal migrated to unstable
  * Standards bumped to 3.8.1 (no changes)

 -- Ruben Molina <rmolina@udea.edu.co>  Mon, 27 Apr 2009 10:06:47 -0500

xplanet (1.2.0+svn147-2) experimental; urgency=low

  * Fix duplicate-font-file lintian warning
    + Add Depends and Build-Depends on ttf-freefont
    + Add symlink in xplanet.links for FreeMonoBold.ttf
  * Fix copyright-refers-to-symlink-license for LGPL-2 and GPL-2
  * Enable support for freetype pango, gif, jpeg, png, pnm, and tiff 
    (Adding Build-Depends from unstable)

 -- Ruben Molina <rmolina@udea.edu.co>  Sun, 15 Feb 2009 19:47:25 -0500

xplanet (1.2.0+svn147-1) experimental; urgency=low

  * New upstream SVN snapshot.
  * Update debian/watch to track upstream svn revisions.
  * Add a get-orig-source rule to retrieve sources.
  * New patch to fix a FTBFS with the upcoming GCC 4.4
    Closes: #505013 (ftbfs-gcc-4.4).
  * Fully reworked debian/rules file.

 -- Ruben Molina <rmolina@udea.edu.co>  Sat, 31 Jan 2009 19:39:29 -0500

xplanet (1.2.0-7) unstable; urgency=low

  * Converted patches to unified diff. Closes: #485024 (3.0-quilt-by-default)
  * Updated Standards-Version to 3.8.0 (no changes needed)
  * Reformatted debian/copyright (and fixed some typos)
  * Added Build-Depends on autotools-dev and rules to update config scripts

 -- Ruben Molina <rmolina@udea.edu.co>  Sat, 26 Jul 2008 18:49:22 -0500

xplanet (1.2.0-6) unstable; urgency=low

  * New maintainer. Closes: #476179.
  * Solved lintian warnings
    + Adjusted rules file to use '[ ! -f Makefile ] || $(MAKE) distclean'
      instead of '-$(MAKE) distclean'.
    + Adjusted control file to use quilt (>= 0.40) instead of (>= 0.40-1).
    + Adjusted rules file to remove empty images/ dir.
  * Closed old bugs not present in current version.
    + xplanet now reads environment variables properly (Closes: #218578).
    + xplanet now includes a 'constellations' example in 
      /usr/share/xplanet/arcs/ (Closes: #187503).
    + Satellite trajectories were verified using AMSAT's TLE-data and Real
      Time Satellite Tracking from n2yo.com (Closes: #249728).
  * Homepage field added
  * Update debian/copyright to include third parties, and rewrite using 
    http://wiki.debian.org/Proposals/CopyrightFormat
  * Remove obsolete debian/package.docs
  * Added a patch for the man page, to replace hyphens where a minus sign
    was intended.

 -- Ruben Molina <rmolina@udea.edu.co>  Tue, 20 May 2008 08:11:52 -0500

xplanet (1.2.0-5) unstable; urgency=low

  * Update Build-Depends to libgif-dev. (Closes: #474310)

 -- Christoph Berg <myon@debian.org>  Mon, 14 Apr 2008 23:19:44 +0200

xplanet (1.2.0-4) unstable; urgency=low

  * Yet again fix FTBFS with gcc-4.3, missing #includes. (Closes: #454885)
  * Move menu entry to Applications/Science/Astronomy.

 -- Christoph Berg <myon@debian.org>  Mon, 10 Dec 2007 23:28:40 +0100

xplanet (1.2.0-3) unstable; urgency=low

  * Fix FTBFS with gcc-4.3, missing #includes, thanks to Martin Michlmayr for
    the patch (Closes: #417782).

 -- Christoph Berg <myon@debian.org>  Wed, 04 Apr 2007 15:30:32 +0000

xplanet (1.2.0-2) unstable; urgency=low

  * New maintainer (Closes: #405735).
  * Build-Depends:
    + Set png depends to libpng12-dev | libpng-dev.
    + Set gif depends to libungif4-dev | giflib-dev (Closes: #333912).
    + Drop redundant x-dev dependency.
  * xplanet-images enhances instead of depends on xplanet (Closes: #365723).
  * Remove obsolete aegis test suite.
  * Remove redundant postinst/postrm files, clean up rules, add watch file.
  * Ship FAQ from upstream website (Closes: #302798), drop AUTHORS.
  * Bump Standards-Version.

 -- Christoph Berg <myon@debian.org>  Thu, 11 Jan 2007 21:04:55 +0100

xplanet (1.2.0-1.4) unstable; urgency=low

  * Porter NMU.
  * Update config.guess/config.sub. Closes:#332756.

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 10 Dec 2006 22:04:17 +0100

xplanet (1.2.0-1.3) unstable; urgency=low

  * Non-maintainer upload to fix longstanding l10n issues
  * Remove the only debconf notes that applies only to upgrades
    from pre-sarge versions which we don't support in etch.
    Closes: #388987
    This allows removing debian/config and the dependency on debconf and
    po-debconf
    This also removes the need for translated templates.
    Closes: #295301, #292547, #364305
  * Remove extra cruft in the distributed files:
    debian/postrm.debhelper, debian/postinst.debhelper, debian/menu.old
    debian/substvars
  * Remove duplicate build relation on libfreetype6-dev


