## xplanet 1.2.1-1maemo1

=== debian/changelog ===
xplanet (1.2.1-1maemo1) unstable; urgency=low

  * First release for Maemo 5

 -- Luke Reeves <luke@neuro-tech.net>  Wed, 17 Feb 2010 20:04:00 -0500
