=== debian/control ===
Source: xplanet
Section: graphics
Priority: optional
Maintainer: Luke Reeves <luke@neuro-tech.net>
XSBC-Original-Maintainer: Ruben Molina <rmolina@udea.edu.co>
Build-Depends: quilt, autotools-dev,
 libjpeg62-dev, libpng12-dev | libpng-dev, libfreetype6-dev,
 libtiff4-dev, libpango1.0-dev,
 libx11-dev, libxt-dev
Standards-Version: 3.8.1
Homepage: http://xplanet.sourceforge.net/

Package: xplanet
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ttf-freefont
Description: planetary body renderer
 Xplanet renders an image of a planet into an X window or a file. All
 of the major planets and most satellites can be drawn, and different
 map projections are also supported, including azimuthal, hemisphere,
 Lambert, Mercator, Mollweide, Peters, polyconic, and rectangular.
 .
