## xplanet 1.2.1-1maemo2

=== debian/changelog ===
xplanet (1.2.1-1maemo2) unstable; urgency=low

  * Updated with CLI icon, new description

 -- Luke Reeves <luke@neuro-tech.net>  Mon, 22 Feb 2010 19:00:00 -0500
