## xplanet 1.2.1-1maemo3

=== debian/changelog ===
xplanet (1.2.1-1maemo3) unstable; urgency=low

  * Updated bugtracker address

 -- Luke Reeves <luke@neuro-tech.net>  Mon, 22 Feb 2010 20:30:00 -0500
