=== debian/control ===
--- 
+++ 
@@ -3,6 +3,7 @@
 Priority: optional
 Maintainer: Luke Reeves <luke@neuro-tech.net>
 XSBC-Original-Maintainer: Ruben Molina <rmolina@udea.edu.co>
+XSBC-Bugtracker: luke@neuro-tech.net
 Build-Depends: quilt, autotools-dev,
  libjpeg62-dev, libpng12-dev | libpng-dev, libfreetype6-dev,
  libtiff4-dev, libpango1.0-dev,
