## xplanet 1.2.1-1maemo4

=== debian/changelog ===
xplanet (1.2.1-1maemo4) unstable; urgency=low

  * Updated bugtracker address (take #2)

 -- Luke Reeves <luke@neuro-tech.net>  Wed, 24 Feb 2010 20:30:00 -0500
