=== debian/watch ===
version=3
http://sf.net/xplanet/xplanet-(.+)\.tar\.gz
