## xplanet 1.2.1-1maemo5

=== debian/changelog ===
xplanet (1.2.1-1maemo5) unstable; urgency=low

  * Updated bugtracker address (take #3)

 -- Luke Reeves <luke@neuro-tech.net>  Wed, 24 Feb 2010 21:30:00 -0500
