## xplanet 1.3.0

=== debian/changelog ===
xplanet (1.3.0-3) unstable; urgency=low

  * Update to use giflib5, using patch from Matthias Klose (thanks!).
    Closes: #803293
  * Update Standards-Version to 3.9.6

 -- Steve McIntyre <93sam@debian.org>  Sun, 13 Dec 2015 18:53:26 +0000

xplanet (1.3.0-2) unstable; urgency=low

  * Switch font dependency from ttf-freefont to fonts-freefont-ttf.
    Closes: #738261

 -- Steve McIntyre <93sam@debian.org>  Sun, 09 Feb 2014 01:53:58 +0000

xplanet (1.3.0-1) unstable; urgency=low

  * New maintainer
  * Move to new upstream version 1.3.0. (Closes: #678464)
    + Upstream highlights:
      - add "outlined" keyword to marker files
      - update JPL ephemeris code for 64 bit machines
      - add bump_shade config file parameter
      - add opacity keyword for markers
      - implement Rayleigh scattering
    + Remove old Debian patches now obsoleted:
      - possible-buffer-overflow (included upstream)
      - orbit-step-bug (included upstream)
      - gcc44-includes (included upstream)
      - hyphen-used-as-minus-sign (included upstream)
      - tsc-aspect-ratio (included upstream)
    + Update (and include!) FreeMonoBold
  * Update libtiff build-deps (Closes: #736052)
  * Update libpng build-deps (Closes: #662568)
  * Update Standards-Version to 3.9.5
  * Update to debhelper 9 to enable hardening build.

 -- Steve McIntyre <93sam@debian.org>  Thu, 30 Jan 2014 18:54:10 +0000
