=== debian/control ===
Source: xplanet
Section: graphics
Priority: optional
Maintainer: Steve McIntyre <93sam@debian.org>
Build-Depends: debhelper (>= 9), autotools-dev,
 libjpeg-dev, libpng-dev, libfreetype6-dev,
 libtiff-dev, libgif-dev, libnetpbm10-dev, libpango1.0-dev,
 libx11-dev, libxss-dev, libxt-dev, fonts-freefont-ttf
Standards-Version: 3.9.6
Homepage: http://xplanet.sourceforge.net/

Package: xplanet
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ttf-freefont
Recommends: xplanet-images
Description: planetary body renderer
 Xplanet renders an image of a planet into an X window or a file. All
 of the major planets and most satellites can be drawn, and different
 map projections are also supported, including azimuthal, hemisphere,
 Lambert, Mercator, Mollweide, Peters, polyconic, and rectangular.
 .
 In order to run xplanet, you'll need at least one map file. Some maps
 are included in the xplanet-images package.

Package: xplanet-images
Depends: ${misc:Depends}
Enhances: xplanet, ircmarkers
Breaks: xplanet (<< 0.71)
Architecture: all
Description: imagery for xplanet
 Xplanet renders an image of a planet into an X window or a file.
 .
 In order to run xplanet, you'll need at least one map file. This package
 includes some map files that can be used with xplanet.
