=== debian/watch ===
version=3
http://sf.net/xplanet/xplanet-(\d.+)\.tar\.gz
