## xplanet 1.3.1

=== debian/changelog ===
xplanet (1.3.1-5) unstable; urgency=medium

  * Prepare source only upload

 -- Alexander Reichle-Schmehl <tolimar@debian.org>  Mon, 18 Aug 2025 20:05:30 +0200

xplanet (1.3.1-4) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Use secure URI in Homepage field.
  * Remove constraints unnecessary since buster (oldstable):
    + xplanet-images: Drop conflict with removed package xplanet (<< 0.71) in
      Breaks.

  [ Alexander Reichle-Schmehl ]
  * Update debian/testes/earth_markers* as updated font results in slightly
    different image
  * Update debian/tests/compare-create-image to work with newer versions of
    imagemagicks compare (Closes: #1105051)
    (Actually: Let's try to solution in -2 again)

 -- Alexander Reichle-Schmehl <tolimar@debian.org>  Sun, 17 Aug 2025 12:53:39 +0200

xplanet (1.3.1-3) unstable; urgency=medium

  * Mark xplaned-images as Multi-Arch: foreign
  * autopkgtest: Don't compare for equal images, as that fails on some
    architectures. Instead compare for very similar images.

 -- Alexander Reichle-Schmehl <tolimar@debian.org>  Tue, 04 Oct 2022 21:41:12 +0200

xplanet (1.3.1-2) unstable; urgency=medium

  * Break changelog at 80 chars (Thanks lintian)
  * Changed version of debian/watch to 4.  No further changes required,
    uscan still works.
  * Fix typo in VCS URL
  * Add some basic autopkgtest
  * Also install scatter files
  * Change maintainer address to my new Debian one

 -- Alexander Reichle-Schmehl <tolimar@debian.org>  Tue, 27 Sep 2022 21:21:54 +0200

xplanet (1.3.1-1) unstable; urgency=low

  [ Andreas Metzler ]
  * New upstream version 1.3.1
    + Unfuzz patches.
    + Replace giflib5.diff with a minimal patch from Gentoo (also used by
      Fedora), which also fixes the build error against giflib 5.2.
      Closes: #939035
  * [lintian] Delete trailing whitespace.
  * Use DH 12 compat level.
  * Set Rules-Requires-Root: no.
  * Set DEB_BUILD_MAINT_OPTIONS := hardening=+all.
  * Update copyright Format URL and update syntax, using unique license
    identifiers. Also drop trailing whitespace.

  [ Alexander Reichle-Schmehl ]
  * Adopt package (Closes: #1003911)
  * Change build depends from libnetpbm10-dev to libnetpbm-dev
    (Closes: #1016404)
  * Add VCS headers to debian/control
  * Bump standards to 4.6.1 (no changes needed)
  * Fix missing copyright: for smile.png in debian/copyright

 -- Alexander Reichle-Schmehl <alexander@alphamar.org>  Wed, 10 Aug 2022 18:34:59 +0200

xplanet (1.3.0-5.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop the Debian menu, as xplanet without arguments is basically unusable.
    (Closes: #970129)

 -- Pino Toscano <pino@debian.org>  Sun, 09 Jan 2022 12:41:32 +0100

xplanet (1.3.0-5.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/control:
    - Build-Depend on dh-autoreconf instead autotools-dev.
    - Add pkg-config to the Build-Depends list.
  * debian/patches/freetype2_pkg-config.patch:
    - Use pkg-config to detect FreeType 2, as freetype-config is not installed
      in FreeType 2.9.1 or later (Closes: #892438).
  * debian/rules:
    - Call 'dh --with autoreconf' instead of 'dh --with autotools-dev'.
  * xplanet-images:
    - Install the source README file in /usr/share/doc/xplanet-images instead
      of /usr/share/doc/xplanet-images/README (Closes: #835821).

 -- Hugh McMaster <hugh.mcmaster@outlook.com>  Sat, 03 Nov 2018 23:08:14 +1100

xplanet (1.3.0-5) unstable; urgency=low

  * Fix font Depends from ttf-freefont to fonts-freefont-ttf too.
  * Fix various compilation warnings

 -- Steve McIntyre <93sam@debian.org>  Wed, 19 Apr 2017 16:18:09 +0100

xplanet (1.3.0-4) unstable; urgency=low

  * Fix compilation with g++-6. Closes: #811820

 -- Steve McIntyre <93sam@debian.org>  Mon, 18 Jul 2016 00:20:55 +0100
