=== debian/control ===
--- 
+++ 
@@ -1,17 +1,20 @@
 Source: xplanet
 Section: graphics
 Priority: optional
-Maintainer: Steve McIntyre <93sam@debian.org>
-Build-Depends: debhelper (>= 9), autotools-dev,
- libjpeg-dev, libpng-dev, libfreetype6-dev,
- libtiff-dev, libgif-dev, libnetpbm10-dev, libpango1.0-dev,
+Maintainer: Alexander Reichle-Schmehl <tolimar@debian.org>
+Build-Depends: debhelper-compat (= 12), pkgconf,
+ libjpeg-dev, libpng-dev, libfreetype-dev,
+ libtiff-dev, libgif-dev, libnetpbm-dev, libpango1.0-dev,
  libx11-dev, libxss-dev, libxt-dev, fonts-freefont-ttf
-Standards-Version: 3.9.6
-Homepage: http://xplanet.sourceforge.net/
+Standards-Version: 4.6.1
+Rules-Requires-Root: no
+Homepage: https://xplanet.sourceforge.net/
+Vcs-Browser: https://salsa.debian.org/debian/xplanet
+Vcs-Git: https://salsa.debian.org/debian/xplanet.git
 
 Package: xplanet
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, ttf-freefont
+Depends: ${shlibs:Depends}, ${misc:Depends}, fonts-freefont-ttf
 Recommends: xplanet-images
 Description: planetary body renderer
  Xplanet renders an image of a planet into an X window or a file. All
@@ -25,8 +28,8 @@
 Package: xplanet-images
 Depends: ${misc:Depends}
 Enhances: xplanet, ircmarkers
-Breaks: xplanet (<< 0.71)
 Architecture: all
+Multi-Arch: foreign
 Description: imagery for xplanet
  Xplanet renders an image of a planet into an X window or a file.
  .
