=== debian/tests/control ===
Tests: test-file-types
Depends: @, shunit2, file

Tests: compare-create-image
Depends: @, imagemagick, shunit2
