=== debian/watch ===
version=4
http://sf.net/xplanet/xplanet-(\d.+)\.tar\.gz
